Scientific Linux Security Update : libsndfile on SL6.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

The libsndfile packages provide a library for reading and writing
sound files.

An integer overflow flaw, leading to a heap-based buffer overflow, was
found in the way the libsndfile library processed certain Ensoniq
PARIS Audio Format (PAF) audio files. An attacker could create a
specially-crafted PAF file that, when opened, could cause an
application using libsndfile to crash or, potentially, execute
arbitrary code with the privileges of the user running the
application. (CVE-2011-2696)

Users of libsndfile are advised to upgrade to these updated packages,
which contain a backported patch to correct this issue. All running
applications using libsndfile must be restarted for the update to take
effect.

See also :

http://www.nessus.org/u?b3d5d20b

Solution :

Update the affected libsndfile, libsndfile-debuginfo and / or
libsndfile-devel packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 61087 ()

Bugtraq ID:

CVE ID: CVE-2011-2696